%global	gem_name	bugzilla

Name:		rubygem-%{gem_name}
Version:	0.6.1
Release:	1%{?dist}
License:	LGPLv3+
URL:		http://rubygems.org/gems/ruby-bugzilla
BuildRequires:	ruby(release)
BuildRequires:	rubygems-devel
BuildRequires:	rubygem(bundler)
Source0:	https://rubygems.org/downloads/ruby-bugzilla-%{version}.gem

Summary:	Bugzilla interface library for Ruby
Group:		Development/Languages
Requires:	ruby(release)
Requires:	ruby(rubygems)
Requires:	ruby(RMagick)
Requires:	rubygem(gruff)
Requires:	rubygem(highline)
BuildArch:	noarch

%description
This aims to provide similar features to access to Bugzilla through WebService API in Ruby.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
Documentation for %{name}

%prep
gem unpack -V %{SOURCE0}
%setup -q -D -T -n ruby-%{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby | sed -e 's/\(.*\.name.*\)ruby\-\(.*\)$/\1\2/' > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p $RPM_BUILD_ROOT%{gem_dir}
cp -a ./%{gem_dir}/* $RPM_BUILD_ROOT%{gem_dir}/

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -a ./%{_bindir}/* $RPM_BUILD_ROOT%{_bindir}/

%check

%files
%{_bindir}
%dir %{gem_instdir}
%{gem_instdir}/bin
%{gem_instdir}/lib
%{gem_spec}
%exclude %{gem_cache}

%files	doc
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/COPYING
%doc %{gem_docdir}

%changelog
* Thu Jan  8 2015 Akira TAGOH <tagoh@redhat.com> - 0.6.1-1
- Initial packaging.

